/*
 * www_main.cpp
 *
 *  Created on: 08.07.2010
 *      Author: vdv
 */

#include "www_pages.h"

std::string www_main(const char* url)
{
	std::string body = "<center>main page</center>";

	return body;
}

static int iterate_post(void *coninfo_cls, enum MHD_ValueKind kind, const char *key,
              const char *filename, const char *content_type,
              const char *transfer_encoding, const char *data, uint64_t off,
              size_t size)
{
	/* do anything
	my_data* system_data =
		(my_data*)((struct connection_info_struct *)coninfo_cls)->data;
	*/
	printf("key = %s, data = %s\r\n", key, data);
	return MHD_YES;
}

static void post_completed(connection_info_struct* con_info)
{
	printf( "page main: post completed\r\n");
	/* free private data
	my_type* data = (my_type*)con_info->data;
	delete data;
	*/
}

MHD_PostDataIterator www_main_post(const char* url, connection_info_struct* con_info)
{
	printf( "page main: POST request\r\n");
	/* get private data to iterate POST request
	con_info->data = (void*)get_data();
	*/
	con_info->post_completed = &post_completed;
	return &iterate_post;
}
