/*
 * www_op2.cpp
 *
 *  Created on: 08.07.2010
 *      Author: vdv
 */

#include "www_pages.h"

static std::string get_reboot_page()
{
	std::string page =
"<script type=\"text/javascript\">" \
"sec = 60;" \
"window.onload = clock;" \
"function clock() {" \
" sec = sec - 1;" \
" if (sec == 0) { document.location='/options/index.htm'; }" \
" document.getElementById(\"result\").innerHTML = '";
	page.append( "Wait" );
	page.append("' + ' ' + sec + ' ");
	page.append( "sec" );
	page.append("';" \
" setTimeout('clock()', 1000);" \
"}" \
"  </script>" \
"   <h3>");
	page.append( "Wait, please" );
	page.append("</h3>" \
"   <div id=\"result\">");
	page.append( "Wait" );
	page.append(" 60 ");
	page.append( "sec" );
	page.append("</div>");

	return page;
}

std::string www_op2(const char* url)
{
	if( reboot ) return get_reboot_page();
	//
	std::string page =
"<form action=\"op2.htm\" method=\"post\" enctype=\"multipart/form-data\">" \
"<table width=\"100%\">" \
" <tr><td colspan=\"2\"><h3>";
	page.append( "Firmware" );
	page.append("</h3></td></tr>" \
" <tr><td>");
	page.append( "version" );
	page.append(":</td><td><strong>" \
"0.0t" \
"</strong></td></tr>" \
" <tr><td>");
	page.append( "Upload file" );
	page.append(":</td><td><input type=\"file\" name=\"file\" size=\"15\"></td></tr>" \
" <tr><td colspan=\"2\" align=\"center\"><br>" \
"<input type=\"submit\" value=\"");
	page.append( "Upload" );
	page.append("\" name=\"upload_ok\"></td></tr>" \
"</table>" \
"</form>" \
"<form action=\"op2.htm\" method=\"post\">" \
"<table width=\"100%\">" \
" <tr><td colspan=\"2\"><h3>");
	page.append( "Control" );
	page.append("</h3></td></tr>" \
" <tr><td>");
	page.append( "Device" );
	page.append("</td><td><input type=\"submit\" value=\"");
	page.append( "Reboot" );
	page.append("\" name=\"reboot_ok\"></td></tr>" \
"</table>" \
"</form>");
	return page;
}

static int iterate_post(void *coninfo_cls, enum MHD_ValueKind kind, const char *key,
		const char *filename, const char *content_type,
		const char *transfer_encoding, const char *data, uint64_t off,
		size_t size)
{
	/* get data, if need
	my_data* system_data =
		(my_data*)((struct connection_info_struct *)coninfo_cls)->data;*/
	if( ::strcmp("reboot_ok", key) == 0 )
	{
		reboot = true;
	} if( ::strcmp("file", key) == 0 )
	{
		struct connection_info_struct *con_info =
			(struct connection_info_struct *) coninfo_cls;
		if( con_info->file_ptr == NULL )
		{
			if( ::strlen(filename) > 0 )
			{
				con_info->file_ptr = ::fopen( filename, "wb" );
				if( con_info->file_ptr == NULL )
					return MHD_NO;
			}
		}
		if( size > 0 )
		{
			if( ::fwrite(data, size, sizeof(char), con_info->file_ptr) == 0 )
				return MHD_NO;
		}
	}
	return MHD_YES;
}

static void post_completed(connection_info_struct* con_info)
{
	printf( "page op2: post completed\r\n");
	/* free private data
	my_type* data = (my_type*)con_info->data;
	delete data;
	*/
}

MHD_PostDataIterator www_op2_post(const char* url, connection_info_struct* con_info)
{
	printf( "page op2: POST request\r\n");
	/* get private data to iterate POST request
	con_info->data = (void*)get_data();
	*/
	con_info->post_completed = &post_completed;
	return &iterate_post;
}
